Skip to main content
POST
/
api
/
onboarding
/
kenya_kyc
/
passport
/
Kenya Passport Verification
curl --request POST \
  --url https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/passport/ \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "passport_number": "<string>"
}
'
import requests

url = "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/passport/"

payload = { "passport_number": "<string>" }
headers = {
    "x-access-token": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({passport_number: '<string>'})
};

fetch('https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/passport/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "failed",
  "data": [
    "<unknown>"
  ],
  "message": "<string>"
}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
The Kenya Passport endpoint validates a passport number against the national registry and returns the associated personal details including name, dates, and a photo.

Endpoint

POST /api/onboarding/kenya_kyc/passport/

Request

Headers

HeaderValueRequired
x-access-tokenYour API secret keyYes
Content-Typeapplication/jsonYes

Body Parameters

ParameterTypeRequiredDescription
passport_numberstringYesThe customer’s passport number (e.g. A00000000)

Example

curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/passport/" \
  -H "x-access-token: YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"passport_number": "A00000000"}'

Response

200 OK

FieldTypeDescription
data.First_NamestringFirst name
data.SurnamestringSurname
data.Other_NamestringOther/middle name
data.GenderstringGender
data.Date_of_BirthstringDate of birth
data.CitizenshipstringCitizenship
data.Date_of_IssuestringPassport issue date
data.Place_of_BirthstringPlace of birth
data.PhotostringBase64-encoded passport photo
{
  "status": "success",
  "data": {
    "Pin": "",
    "Clan": "",
    "Photo": "<base64-encoded-jpeg>",
    "Family": "",
    "Gender": "M",
    "Surname": "Leo",
    "First_Name": "Joe",
    "Other_Name": "Doe",
    "Citizenship": "Kenyan",
    "Date_of_Birth": "2000-09-20 12:00:00 AM",
    "Date_of_Issue": "1/27/2000 12:00:00 AM",
    "Place_of_Birth": "NAIROBI",
    "Place_of_Live": "BOX 12345-00800 NAIROBI"
  },
  "message": "Passport details retrieved successfully"
}

400 Bad Request

{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}

401 Unauthorized

{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Body

application/json
passport_number
string
required

Response

Passport verified